Install Google Chrome on Centos 6.4 6.3 5.9 Redhat RHEL Fedora 18 17

Install Google Chrome on Centos 6.4 6.3 5.9 Redhat RHEL Fedora 18 17

 google chrome

Step 1: Create Chrome repository for Centos/Redhat/Fedora

With x86_64

[root@localhost ~]# cat /etc/yum.repos.d/chrome.repo
[chrome]
name=google-chrome – 64-bit
baseurl=http://dl.google.com/linux/chrome/rpm/stable/x86_64
enabled=1
gpgcheck=1
gpgkey=https://dl-ssl.google.com/linux/linux_signing_key.pub
[root@localhost ~]#

With i386

[root@localhost ~]# cat /etc/yum.repos.d/chrome.repo

[chrome]
name=google-chrome - 32-bit
baseurl=http://dl.google.com/linux/chrome/rpm/stable/i386
enabled=1
gpgcheck=1
gpgkey=https://dl-ssl.google.com/linux/linux_signing_key.pub

Step 2: Install Google Chrome by yum

[root@localhost ~]# yum install google-chrome-stable
Loaded plugins: fastestmirror, refresh-packagekit, security
Loading mirror speeds from cached hostfile
* base: mirrors.vonline.vn
* epel: ftp.jaist.ac.jp
* extras: mirrors.vonline.vn
* updates: mirrors.vonline.vn
chrome | 951 B 00:00
chrome/primary | 1.9 kB 00:00
chrome 3/3
Setting up Install Process
Resolving Dependencies
–> Running transaction check
—> Package google-chrome-stable.x86_64 0:27.0.1453.93-200836 will be installed
–> Processing Dependency: lsb >= 4.0 for package: google-chrome-stable-27.0.145 3.93-200836.x86_64
–> Running transaction check
—> Package redhat-lsb.x86_64 0:4.0-7.el6.centos will be installed
–> Processing Dependency: redhat-lsb-printing(x86-64) = 4.0-7.el6.centos for pa ckage: redhat-lsb-4.0-7.el6.centos.x86_64
–> Processing Dependency: redhat-lsb-graphics(x86-64) = 4.0-7.el6.centos for pa ckage: redhat-lsb-4.0-7.el6.centos.x86_64
–> Processing Dependency: redhat-lsb-core(x86-64) = 4.0-7.el6.centos for packag e: redhat-lsb-4.0-7.el6.centos.x86_64
–> Processing Dependency: redhat-lsb-compat(x86-64) = 4.0-7.el6.centos for pack age: redhat-lsb-4.0-7.el6.centos.x86_64
–> Running transaction check
—> Package redhat-lsb-compat.x86_64 0:4.0-7.el6.centos will be installed
—> Package redhat-lsb-core.x86_64 0:4.0-7.el6.centos will be installed
–> Processing Dependency: perl-Test-Simple for package: redhat-lsb-core-4.0-7.e l6.centos.x86_64
–> Processing Dependency: perl-Test-Harness for package: redhat-lsb-core-4.0-7. el6.centos.x86_64
–> Processing Dependency: perl-ExtUtils-MakeMaker for package: redhat-lsb-core- 4.0-7.el6.centos.x86_64
–> Processing Dependency: perl-CGI for package: redhat-lsb-core-4.0-7.el6.cento s.x86_64
–> Processing Dependency: /usr/bin/pax for package: redhat-lsb-core-4.0-7.el6.c entos.x86_64
–> Processing Dependency: /usr/bin/msgfmt for package: redhat-lsb-core-4.0-7.el 6.centos.x86_64
–> Processing Dependency: /bin/gettext for package: redhat-lsb-core-4.0-7.el6.c entos.x86_64
—> Package redhat-lsb-graphics.x86_64 0:4.0-7.el6.centos will be installed
–> Processing Dependency: libqt-mt.so.3()(64bit) for package: redhat-lsb-graphi cs-4.0-7.el6.centos.x86_64
—> Package redhat-lsb-printing.x86_64 0:4.0-7.el6.centos will be installed
–> Running transaction check
—> Package gettext.x86_64 0:0.17-16.el6 will be installed
–> Processing Dependency: cvs for package: gettext-0.17-16.el6.x86_64
—> Package pax.x86_64 0:3.4-10.1.el6 will be installed
—> Package perl-CGI.x86_64 0:3.51-131.el6_4 will be installed
—> Package perl-ExtUtils-MakeMaker.x86_64 0:6.55-131.el6_4 will be installed
–> Processing Dependency: perl-devel for package: perl-ExtUtils-MakeMaker-6.55- 131.el6_4.x86_64
—> Package perl-Test-Harness.x86_64 0:3.17-131.el6_4 will be installed
—> Package perl-Test-Simple.x86_64 0:0.92-131.el6_4 will be installed
—> Package qt3.x86_64 0:3.3.8b-30.el6 will be installed
–> Running transaction check
—> Package cvs.x86_64 0:1.11.23-15.el6 will be installed
—> Package perl-devel.x86_64 4:5.10.1-131.el6_4 will be installed
–> Processing Dependency: perl(ExtUtils::ParseXS) for package: 4:perl-devel-5.1 0.1-131.el6_4.x86_64
–> Running transaction check
—> Package perl-ExtUtils-ParseXS.x86_64 1:2.2003.0-131.el6_4 will be installed
–> Finished Dependency ResolutionDependencies Resolved================================================================================
Package Arch Version Repository Size
================================================================================
Installing:
google-chrome-stable x86_64 27.0.1453.93-200836 chrome 51 M
Installing for dependencies:
cvs x86_64 1.11.23-15.el6 base 711 k
gettext x86_64 0.17-16.el6 base 1.8 M
pax x86_64 3.4-10.1.el6 base 69 k
perl-CGI x86_64 3.51-131.el6_4 updates 208 k
perl-ExtUtils-MakeMaker x86_64 6.55-131.el6_4 updates 292 k
perl-ExtUtils-ParseXS x86_64 1:2.2003.0-131.el6_4 updates 44 k
perl-Test-Harness x86_64 3.17-131.el6_4 updates 230 k
perl-Test-Simple x86_64 0.92-131.el6_4 updates 111 k
perl-devel x86_64 4:5.10.1-131.el6_4 updates 421 k
qt3 x86_64 3.3.8b-30.el6 base 3.5 M
redhat-lsb x86_64 4.0-7.el6.centos base 11 k
redhat-lsb-compat x86_64 4.0-7.el6.centos base 10 k
redhat-lsb-core x86_64 4.0-7.el6.centos base 25 k
redhat-lsb-graphics x86_64 4.0-7.el6.centos base 13 k
redhat-lsb-printing x86_64 4.0-7.el6.centos base 11 k

Transaction Summary
================================================================================
Install 16 Package(s)

Total download size: 59 M
Installed size: 174 M
Is this ok [y/N]: y
Downloading Packages:
http://mirrors.vonline.vn/centos/6.4/os/x86_64/Packages/cvs-1.11.23-15.el6.x86_64.rpm: [Errno 14] PYCURL ERROR 7 – “couldn’t connect to host”
Trying other mirror.
(1/16): cvs-1.11.23-15.el6.x86_64.rpm | 711 kB 00:02
(2/16): gettext-0.17-16.el6.x86_64.rpm | 1.8 MB 00:07
(3/16): google-chrome-stable-27.0.1453.93-200836.x86_64.rpm | 51 MB 04:00
(4/16): pax-3.4-10.1.el6.x86_64.rpm | 69 kB 00:00
http://mirrors.vonline.vn/centos/6.4/updates/x86_64/Packages/perl-CGI-3.51-131.el6_4.x86_64.rpm: [Errno 14] PYCURL ERROR 7 – “couldn’t connect to host”
Trying other mirror.
(5/16): perl-CGI-3.51-131.el6_4.x86_64.rpm | 208 kB 00:01
(6/16): perl-ExtUtils-MakeMaker-6.55-131.el6_4.x86_64.rpm | 292 kB 00:02
(7/16): perl-ExtUtils-ParseXS-2.2003.0-131.el6_4.x86_64.rpm | 44 kB 00:00
(8/16): perl-Test-Harness-3.17-131.el6_4.x86_64.rpm | 230 kB 00:02
(9/16): perl-Test-Simple-0.92-131.el6_4.x86_64.rpm | 111 kB 00:00
(10/16): perl-devel-5.10.1-131.el6_4.x86_64.rpm | 421 kB 00:01
(11/16): qt3-3.3.8b-30.el6.x86_64.rpm | 3.5 MB 00:17
(12/16): redhat-lsb-4.0-7.el6.centos.x86_64.rpm | 11 kB 00:00
(13/16): redhat-lsb-compat-4.0-7.el6.centos.x86_64.rpm | 10 kB 00:00
(14/16): redhat-lsb-core-4.0-7.el6.centos.x86_64.rpm | 25 kB 00:00
(15/16): redhat-lsb-graphics-4.0-7.el6.centos.x86_64.rpm | 13 kB 00:00
(16/16): redhat-lsb-printing-4.0-7.el6.centos.x86_64.rpm | 11 kB 00:00
—————————————————————————————————————————————————————————————————–
Total 196 kB/s | 59 MB 05:07
warning: rpmts_HdrFromFdno: Header V4 DSA/SHA1 Signature, key ID 7fac5991: NOKEY
Retrieving key from https://dl-ssl.google.com/linux/linux_signing_key.pub
Importing GPG key 0x7FAC5991:
Userid: “Google, Inc. Linux Package Signing Key <linux-packages-keymaster@google.com>”
From : https://dl-ssl.google.com/linux/linux_signing_key.pub
Is this ok [y/N]: y
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Installing : perl-Test-Harness-3.17-131.el6_4.x86_64 1/16
Installing : 1:perl-ExtUtils-ParseXS-2.2003.0-131.el6_4.x86_64 2/16
Installing : 4:perl-devel-5.10.1-131.el6_4.x86_64 3/16
Installing : perl-ExtUtils-MakeMaker-6.55-131.el6_4.x86_64 4/16
Installing : perl-Test-Simple-0.92-131.el6_4.x86_64 5/16
Installing : cvs-1.11.23-15.el6.x86_64 6/16
Installing : gettext-0.17-16.el6.x86_64 7/16
Installing : perl-CGI-3.51-131.el6_4.x86_64 8/16
Installing : pax-3.4-10.1.el6.x86_64 9/16
Installing : redhat-lsb-core-4.0-7.el6.centos.x86_64 10/16
Installing : redhat-lsb-printing-4.0-7.el6.centos.x86_64 11/16
Installing : qt3-3.3.8b-30.el6.x86_64 12/16
Installing : redhat-lsb-graphics-4.0-7.el6.centos.x86_64 13/16
Installing : redhat-lsb-compat-4.0-7.el6.centos.x86_64 14/16
Installing : redhat-lsb-4.0-7.el6.centos.x86_64 15/16
Installing : google-chrome-stable-27.0.1453.93-200836.x86_64 16/16
Verifying : redhat-lsb-printing-4.0-7.el6.centos.x86_64 1/16
Verifying : google-chrome-stable-27.0.1453.93-200836.x86_64 2/16
Verifying : qt3-3.3.8b-30.el6.x86_64 3/16
Verifying : pax-3.4-10.1.el6.x86_64 4/16
Verifying : redhat-lsb-4.0-7.el6.centos.x86_64 5/16
Verifying : redhat-lsb-core-4.0-7.el6.centos.x86_64 6/16
Verifying : perl-ExtUtils-MakeMaker-6.55-131.el6_4.x86_64 7/16
Verifying : perl-Test-Harness-3.17-131.el6_4.x86_64 8/16
Verifying : gettext-0.17-16.el6.x86_64 9/16
Verifying : redhat-lsb-compat-4.0-7.el6.centos.x86_64 10/16
Verifying : perl-CGI-3.51-131.el6_4.x86_64 11/16
Verifying : cvs-1.11.23-15.el6.x86_64 12/16
Verifying : perl-Test-Simple-0.92-131.el6_4.x86_64 13/16
Verifying : redhat-lsb-graphics-4.0-7.el6.centos.x86_64 14/16
Verifying : 1:perl-ExtUtils-ParseXS-2.2003.0-131.el6_4.x86_64 15/16
Verifying : 4:perl-devel-5.10.1-131.el6_4.x86_64 16/16

Installed:
google-chrome-stable.x86_64 0:27.0.1453.93-200836

Dependency Installed:
cvs.x86_64 0:1.11.23-15.el6 gettext.x86_64 0:0.17-16.el6 pax.x86_64 0:3.4-10.1.el6 perl-CGI.x86_64 0:3.51-131.el6_4
perl-ExtUtils-MakeMaker.x86_64 0:6.55-131.el6_4 perl-ExtUtils-ParseXS.x86_64 1:2.2003.0-131.el6_4 perl-Test-Harness.x86_64 0:3.17-131.el6_4 perl-Test-Simple.x86_64 0:0.92-131.el6_4
perl-devel.x86_64 4:5.10.1-131.el6_4 qt3.x86_64 0:3.3.8b-30.el6 redhat-lsb.x86_64 0:4.0-7.el6.centos redhat-lsb-compat.x86_64 0:4.0-7.el6.centos
redhat-lsb-core.x86_64 0:4.0-7.el6.centos redhat-lsb-graphics.x86_64 0:4.0-7.el6.centos redhat-lsb-printing.x86_64 0:4.0-7.el6.centos

Complete!
[root@localhost ~]#

Step 3: Now we can use Google Chrome on Centos/Redhat/Fedora

google chrome centos

google chrome centos 2

That’s it. Thanks for using IThelpblog.com.

 

One comment to Install Google Chrome on Centos 6.4 6.3 5.9 Redhat RHEL Fedora 18 17

  • derek  says:

    There still appears to be a glibc library dependency for a successful Chrome install on CentOS 6.4. Here is the relevant error output from yum.:

    Resolving Dependencies
    –> Running transaction check
    —> Package google-chrome-stable.x86_64 0:27.0.1453.110-202711 will be updated
    —> Package google-chrome-stable.x86_64 0:28.0.1500.52-207119 will be an update
    –> Processing Dependency: libstdc++.so.6(GLIBCXX_3.4.15)(64bit) for package: google-chrome-stable-28.0.1500.52-207119.x86_64
    –> Finished Dependency Resolution
    Error: Package: google-chrome-stable-28.0.1500.52-207119.x86_64 (google-chrome)
    Requires: libstdc++.so.6(GLIBCXX_3.4.15)(64bit)
    You could try using –skip-broken to work around the problem

Leave a reply

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>